Request
Provide your bearer token in the Authorization
header when making requests to protected resources. Example:Authorization: Bearer ********************
Body Params application/jsonRequired
{
"name": "string",
"uid": "07cc67f4-45d6-494b-adac-09b5cbc7e2b5",
"monthlyPrice": 0,
"annualPrice": 0,
"description": "string",
"colourCode": "string",
"iconFile": "string",
"publicName": "string",
"extensionGroupName": "string",
"membersPubliclyVisible": true,
"showOnBadge": true,
"showInDetails": true,
"allowEditingInDetails": true,
"parentTrustGroup": "258c7b4f-948b-4f3c-8137-ca91defeedf9",
"accessRights": [
0
]
}
Request Code Samples
curl --location --request POST 'https://api.tahdah.me/api/trustgroups/legalentities//trustgroup/' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"name": "string",
"uid": "07cc67f4-45d6-494b-adac-09b5cbc7e2b5",
"monthlyPrice": 0,
"annualPrice": 0,
"description": "string",
"colourCode": "string",
"iconFile": "string",
"publicName": "string",
"extensionGroupName": "string",
"membersPubliclyVisible": true,
"showOnBadge": true,
"showInDetails": true,
"allowEditingInDetails": true,
"parentTrustGroup": "258c7b4f-948b-4f3c-8137-ca91defeedf9",
"accessRights": [
0
]
}'
Responses
application/json Modified at 2026-01-26 15:55:01